Quassel IRC - Bug #891

Quassl client segfaults / DBus issue???
01/11/2010 01:00 PM - DeepDiver

Status: Resolved Start date: 01/11/2010
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

Version: 0.5.0 0S: Linux
Description

Hi guys,

just another issue:

http://bugs.debian.org/cqgi-bin/bugreport.cgi?bug=562974

Stacktrace (sorry no debug symbols within the packages yet):

Quassel IRC: "0.5.1"

"7cae1afb038d2222d318da11c3bce23c9240eed0”

1. 0 quasselclient 0x082af322 Quassel::logBacktrace(QString const&)
2. 1 quasselclient 0x08297f58 Quassel::handleSignal(int)
3.2 0x00e7e400 __ kernel_sigreturn
4. 3 libQtCore.s0.4 0x00276750 QVariant::QVariant(QVariant const&)
5. 4 libQtDBus.s0.4 0x005ae6a0 QDBusPendingReplyData::argumentAt(int) const
6. 5 quasselclient 0x080f7137 DesktopNotificationBackend::DesktopNotificationBackend(QObject*)
7.6 quasselclient 0x080dc17a MainWin::init()
8. 7 quasselclient 0x080d0806 QtUiApplication::init()
9. 8 quasselclient 0x080ce296 main
10. 9 libc.s0.6 0x00730b35 __libc_start_main
11. 10 quasselclient 0x080cd731 0x00000000
Take care,
DeepDiver
History

#1 - 02/02/2010 12:49 AM - DeepDiver

DeepDiver wrote:

Hi guys,

just another issue:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=562974

Stacktrace (sorry no debug symbols within the packages yet):
Quassel IRC: "0.5.1" "7cae1afb038d2222d318da11c3bce23c9240eed0"

1.0 quasselclient
2.1 quasselclient

3.2

0x082af322 Quassel::logBacktrace(QString const&)
0x08297f58 Quassel::handleSignal(int)

0x00e7e400 __kernel_sigreturn

4.3 libQtCore.s0.4 0x00276750 QVariant::QVariant(QVariant const&)
5.4 libQtDBus.s0.4 0x005ae6a0 QDBusPendingReplyData::argumentAt(int) const

6.5 quasselclient

7.6 quasselclient

8.7 quasselclient

9. 8 quasselclient
10. 9 libc.s0.6

0x080f7137 DesktopNotificationBackend::DesktopNotificationBackend(QObject*)
0x080dc17a MainWin::init()
0x080d0806 QtUiApplication::init()
0x080ce296 main
0x00730b35 __libc_start_main

11.10 quasselclient 0x080cd731 0x00000000

Take care,

DeepDiver

04/19/2025

1/2



http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=562974
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=562974

Handled by: http://bugs.quassel-irc.org/projects/quassel-irc/repository/revisions/42ff4d2a759746ccd65440a0dfc2e233e0b777ed

#2 - 02/02/2010 12:50 AM - DeepDiver

Supposed to be a question

Handled by: http://bugs.quassel-irc.org/projects/quassel-irc/repository/revisions/42ff4d2a759746ccd65440a0dfc2e233e0b777ed

#3 - 03/03/2010 09:56 PM - al
- Status changed from New to Resolved

- % Done changed from 0 to 100

Should be fixed as of 42ff4d2a759746ccd65440a0dfc2e233e0b777ed as mentioned by submitter
